Subject: Re: [CDNi] non-repudiation questions

From: "Francois Le Faucheur (flefauch)" <[email-masked]>
Date: Mon, 3 Jun 2013 14:56:09 +0000

Hi David,

On 30 May 2013, at 19:28, David Mandelberg <[email-masked]> wrote:

> Hi,
> 
> What are the goals of non-repudiation of logging data? I've listed two
> possibilities below. Are those right? Is there anything else that people
> want non-repudiation to do for them?
> 
> * Audits: If a uCDN detects a problem that's supported by logging
> information, the dCDN can't claim that they never supplied that logging
> information or that the information was modified in transit.
> * Billing: Once a uCDN receives a log file, the dCDN can't claim that
> there are additional records that are missing from that file. (But they can
> still add those records to a future log file.)

I think what the Non-Repudiation-Signature will bring is a mechanism for the uCDN to prove that a Logging File is exactly as was transmitted by the dCDN (with no more information, no less information, no different information). I think we should explain that generic benefit of the Non-Repudiation mechanism. Then we can give practical examples of how that may be used (e.g. your "Audit" benefit above, your "Logging" benefit above, but also other "Logging" benefits like the dCDN cannot claim that it did not send a particular log line with "cheated" information like excessive amount of bytes,…) but I don't think we need to try be exhaustive in the list of example usages.

Francois
> 
> Also, how would dCDNs be willing to protect their private keys? If dCDNs
> don't want to use hardware security modules, I'd recommend a solution that
> uses ephemeral keys.
> 
> -- 
> David Eric Mandelberg / dseomn
> http://david.mandelberg.org/
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni